%define prefix /usr/lib/im

Summary:IIIMF Input Method Software Developpers Kit
Name: im-sdk
Epoch: 1
Version: 11_4
Release: 1
License: Distributable
Source: %{name}-%{version}.tar.bz2
Source1: %{name}-htt.conf
Patch0: %{name}-20030618-build.patch
#Patch1: %{name}-20011223-DESTDIR.patch
#Patch2: %{name}-20011223-strlcpy.patch
Patch3: im-sdk-20030618-varargs.patch
#Patch4: xiiimp-status_no_status_text.patch
Patch5: im-sdk-64bit.patch
URL: http://www.oepni18n.org/
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: tcp_wrappers
#BuildRequires: Canna-devel

%description
im-sdk is a IIIMF Input Method Software Developers Kit. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch0 -p1
#%patch1 -p2 -b .DESTDIR
#%patch2 -p1 -b .strlcpy
%patch3 -p1 -b .varargs
#%patch4 -p1 -b .nostatus
%patch5 -p1 -b .64

%build
make prefix=${RPM_BUILD_ROOT}%{prefix} config
make prefix=${RPM_BUILD_ROOT}%{prefix} build

%install

cd leif
make DESTDIR=${RPM_BUILD_ROOT} LOCALEDIR=/usr/lib/im/locale install
cd -
cd lib/CSConv
make prefix=${RPM_BUILD_ROOT}%{prefix} install
cd -
cd lib/EIMIL
make prefix=${RPM_BUILD_ROOT}%{prefix} install
cd -
cd lib/iiimp
make DESTDIR=${RPM_BUILD_ROOT} includedir=/usr/lib/im/include  install
#make prefix=${RPM_BUILD_ROOT}%{prefix} install
cd -
cd lib/iiimcf
make prefix=${RPM_BUILD_ROOT}%{prefix} install
cd -
cd iiimxcf/xiiimp.so
make DESTDIR=${RPM_BUILD_ROOT} install
cd -
cd iiimgcf
make DESTDIR=${RPM_BUILD_ROOT} install

#Disabled for 20030507-1
#cd iiimp
#mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/common/
#DESTDIR=${RPM_BUILD_ROOT} /bin/sh ../libtool --mode=install \
#        usr/bin/install -c xiiimp.la \
#        $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/common/xiiimp.la
#cd ../../..

cd -
cd iiimxcf/htt_xbe
make DESTDIR=${RPM_BUILD_ROOT} install
cd -
cd iiimsf
make DESTDIR=${RPM_BUILD_ROOT} bindir=/usr/lib/im install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{prefix}/*
%{_libdir}/gtk-2.0/*
#Disabled for 20030507-1
#/usr/X11R6/lib/X11/locale/common/*

%changelog
* Tue Aug 26 2003 Yu Shao <yshao@redhat.com> r11_4
- im-sdk r11_4 release build
  obsolete Patch4: xiiimp-status_no_status_text.patch

* Tue Jul 29 2003 Bill Nottingham <notting@redhat.com> r11_3.3
- fix build on ia64, enable it

* Thu Jun 19 2003 Yu Shao <yshao@redhat.com> r11_3.2
- added Patch4: xiiimp-status_no_status_text.patch

* Wed Jun 18 2003 Yu Shao <yshao@redhat.com> r11_3.1
- im-sdk r11_3 new release build
  updated im-sdk-20030618-build.patch and
          im-sdk-20030618-varargs.patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 20030507-3
- fix to build with gcc 3.3

* Thu May 8 2003 Yu Shao <yshao@redhat.com> 20030507-2
- im-sdk r11_2 missing library fix

* Wed May 7 2003 Yu Shao <yshao@redhat.com> 20030507-1
- im-sdk r11_2 release

* Fri May 2 2003 Yu Shao <yshao@redhat.com> 20030327-3
- patch to fix broken dep #89813

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 20030327-2
- rebuild to fix broken dep

* Thu Mar 27 2003 Yu Shao <yshao@redhat.com>
- new r11_1 build

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sun Feb 23 2003 Tim Powers <timp@redhat.com>
- added buildprereq on tcp_wrappers

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Yu Shao <yshao@redhat.com>
- added several 64bit patches to build it on all 
  architectures

* Mon Jan 20 2003 Yu Shao <yshao@redhat.com>
- new 20030118 build

* Thu Jan 16 2003 Yu Shao <yshao@redhat.com>
- new codebase with EIMIL/PCE interim implemention
- spec file update
- im-sdk-20030110-buildpatch.patch

* Thu Oct 7 2002 Yu Shao <yshao@redhat.com>
- experimental implementation IIIMSF CVS

* Thu Oct 3 2002 Yu Shao <yshao@redhat.com>
- new stable branch CVS

* Thu Aug 15 2002 Yu Shao <yshao@redhat.com>
- new 20020813 CVS, disable patch2

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 20011223-7
- build using gcc-3.2-0.1

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 20011223-6
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Add some fix for ia64,alpha
- Add strlcpy/strlcat patch, #61898

* Sun Dec 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
